Download Task
Creates a download package containing the specified task assets from a job run of a workflow.
PUT/v0/workflows/{workflow_id}/jobs/{job_id}/tasks/{task_id}/download
Authorisations
AuthorizationString
Path Parameters
workflow_idstringrequired
Unique ID for the workflow to download fromjob_idstringrequired
Specific job execution ID within the workflowtask_idstringrequired
Target task ID containing assets to downloadResponse
OKapplication/json
idstring
Id is the unique identifier of the taskjob_idstring
JobId is the ID of the jobworkflow_idstring
WorkflowId is the ID of the workflowstatusstring
Status indicates the current status of the download operationsigned_urlstring
SignedUrl is the URL where the packaged assets can be downloaded fromDownload Task
1curl -X PUT 'https://api.pixxel.space/v0/workflows/{workflow_id}/jobs/{job_id}/tasks/{task_id}/download' \2 -H 'Authorization: YOUR_API_KEY'
Response:
{"id": "string","job_id": "string","workflow_id": "string","status": "string","signed_url": "string"}